# Uses of Interface
org.bukkit.entity.Guardian

Packages that use Guardian
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Guardian in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Guardian
Modifier and Type
Field
Description
`static final GoalKey<Guardian>`
VanillaGoal.`GUARDIAN_ATTACK`

## Uses of Guardian in org.bukkit.entity

Subinterfaces of Guardian in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`ElderGuardian`
Represents an ElderGuardian - variant of `Guardian`.